#pragma once
#include "IAuthorityManager.h"
#include <QWidget>
namespace Ui { class CMWAuthorityManager; };

class CMWAuthorityManager : public QWidget
{
	Q_OBJECT

public:
	CMWAuthorityManager(QWidget *parent = Q_NULLPTR);
	~CMWAuthorityManager();
private:
	void FreshAuthority();
private slots:
	void FreshAllAuthority();
signals:
	void SendFreshAuthority();
private:
	Ui::CMWAuthorityManager *ui;
	QList<IAuthoritySupport*> childWidgets;
};
